NodeType (gCube VRE Deploy Wizard Portlet 3.4.0-SNAPSHOT API)
Date: 2015-11-02

org.gcube.portlets.admin.vredeployer.client.model

## Enum NodeType

- java.lang.Object
- - java.lang.Enum<NodeType>
  - - org.gcube.portlets.admin.vredeployer.client.model.NodeType

- All Implemented Interfaces:
    Serializable, Comparable<NodeType>

      public enum NodeType
      extends Enum<NodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCHITECTURE` ARCHITECTURE
    `COLLECTION` COLLECTION
    `CONTENT` CONTENT
    `FUNCTIONALITY` FUNCTIONALITY
    `INFO` INFO
    `METADATA` METADATA
    `REPORT` REPORT

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final NodeType INFO

      INFO

    - #### CONTENT

          public static final NodeType CONTENT

      CONTENT

    - #### COLLECTION

          public static final NodeType COLLECTION

      COLLECTION

    - #### METADATA

          public static final NodeType METADATA

      METADATA

    - #### FUNCTIONALITY

          public static final NodeType FUNCTIONALITY

      FUNCTIONALITY

    - #### REPORT

          public static final NodeType REPORT

      REPORT

    - #### ARCHITECTURE

          public static final NodeType ARCHITECTURE

      ARCHITECTURE

  - ### Method Detail

    - #### values

          public static NodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeType c : NodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.